<script lang="ts" setup>
import { useElementPlusDesignTokens } from '@vben/hooks';

import { ElConfigProvider } from 'element-plus';

import { elementLocale } from '#/locales';
import { useUserStore } from '#/store/user';

defineOptions({ name: 'YCode' });

useElementPlusDesignTokens();

const userStore = useUserStore();

userStore.login();
</script>

<template>
  <ElConfigProvider size="small" :locale="elementLocale">
    <RouterView />
  </ElConfigProvider>
</template>
